%FreakLab - disp_1_2.m
%
%Erstellt von Matthias Hasewend im Rahmen der bung 'Applikationssoftware
%fr Fortgeschrittene' bei Ass. Prof. Winfried Kernbichler, Institut fr
%Theoretische Physik / Computational Physics an der TU Graz im WS 2010/11.
%
%Beschreibung:
%
%Diese Funktion dient in FreakLab_opt1 zum Update des Preview-Bildes
%(Display) bei nderung eines Textfeldes. Bei nderung sonstiger
%Eingabeelemente ist eine andere Routine zustndig -> disp_1_1.m

%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

%Fr die Abbildungsmatrix ist eine eigenen Routine ntig, weil verhindert
%werden muss, dass die Matrix singulr wird. Eine singulre
%Abbildungsmatrix wrde aus dem Bild einen Strich machen
function disp_1_2(hObject,handles,help,len)

    %Daher gibt's nur dann ein Matrix Update, wenn die Determinante
    %ausreichend weit von 0 entfernt ist
    if(abs(det(handles.afftra)) >= 0.1)
        
        matupdate(handles,[0,0,0,0],[0,0,0],len);
        disp_1_1(hObject,handles);
        
    else
        
        set(hObject,'String',num2str(help,'%1.2f'));
        
    end
    
end