%FreakLab - disp_2_1.m
%
%Erstellt von Matthias Hasewend im Rahmen der bung 'Applikationssoftware
%fr Fortgeschrittene' bei Ass. Prof. Winfried Kernbichler, Institut fr
%Theoretische Physik / Computational Physics an der TU Graz im WS 2010/11.
%
%Beschreibung:
%
%Diese Funktion dient in FreakLab_opt2 zum Update des Preview-Bildes
%(Display) bei nderung der Holomorphen Funktion.

%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

function disp_2_1(hObject,handles)
   
    %Transformationsdaten generieren
    tform = tformgen(handles,1);
    
    %Bild- und Urbild-Zoomfaktoren gewinnen
    uvdat = [-handles.uv,handles.uv];
    xydat = [-handles.xy,handles.xy];

    %kleines Anzeigefenster auswhlen
    set(gcf,'CurrentAxes',handles.axes2);
    %Preview-Image mit Hilfe der Transformationsdaten berechnen und
    %anzeigen
    image(imtransform(handles.imtiny,tform,'UData',uvdat,'VData',uvdat,'XData',xydat,'YData',xydat));

    axis off;
    
    guidata(hObject,handles);
    
end