%FreakLab - matupdate.m
%
%Erstellt von Matthias Hasewend im Rahmen der bung 'Applikationssoftware
%fr Fortgeschrittene' bei Ass. Prof. Winfried Kernbichler, Institut fr
%Theoretische Physik / Computational Physics an der TU Graz im WS 2010/11.
%
%Beschreibung:
%
%Dies ist eine Hilfsfunktion, die in FreakLab_opt1.m dazu dient, bei
%beliebiger Eingabe eines Wertes fr die Lineare Abbildung ber einen
%Slider, ein Textfeld  oder eine Checkbox die Abbildungsmatrix zu 
%aktualisieren (Matrix Update), alle nicht betroffenen UIControls auf 0 zu
%setzen und die Werte in den Textfelder auf die in FreakLab_opt1.m
%vorgegebene gnstige Anzahl an Nachkommastellen zu formatieren.

%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

function matupdate(handles,val_slid,val_box,leng)

    %Werte der vier Slider setzen
    set(handles.slider1,'Value',(val_slid(1) + 180)/360);
    set(handles.slider2,'Value',(val_slid(2) + 1)/2);
    set(handles.slider3,'Value',(val_slid(3) + 1)/2);
    set(handles.slider4,'Value',(val_slid(4) + 0.9)/1.8);
    
    %Werte der zu den Slidern gehrenden Textfelder setzen
    set(handles.edit1,'String',num2str(val_slid(1),'%1.0f'));
    set(handles.edit2,'String',num2str(val_slid(2),['%1.',num2str(leng(1)),'f']));
    set(handles.edit3,'String',num2str(val_slid(3),['%1.',num2str(leng(2)),'f']));
    set(handles.edit4,'String',num2str(val_slid(4),['%1.',num2str(leng(3)),'f']));
    
    %Werte der Abbildungsmatrix setzen
    set(handles.edit5,'String',num2str(handles.afftra(1,1),['%1.',num2str(leng(4)),'f']));
    set(handles.edit6,'String',num2str(handles.afftra(1,2),['%1.',num2str(leng(5)),'f']));
    set(handles.edit7,'String',num2str(handles.afftra(2,1),['%1.',num2str(leng(6)),'f']));
    set(handles.edit8,'String',num2str(handles.afftra(2,2),['%1.',num2str(leng(7)),'f']));
    
    %Checkboxen an- oder abhackeln
    set(handles.checkbox1,'Value',val_box(1));
    set(handles.checkbox2,'Value',val_box(2));
    set(handles.checkbox3,'Value',val_box(3));

end